--- title: "Adds/Assign CIDR" slug: "adds-assign-cidr" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:38:58Z published: 2026-09-23T09:38:58Z canonical: "docs.trellix.com/adds-assign-cidr" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Adds/Assign CIDR This URL adds CIDRs to a specified Interface. ## Resource URL POST /sensor//interface//cidr ## Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | sensor_id | Sensor ID | Number | Yes | | interface_id | Interface ID | Number | Yes | Payload Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | cidrList | List of CIDRs | Array | Yes | ## Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | status | 1 is returned if the operation was successful. | Number | ## Example **Request** POST [https:///sdkapi/sensor/1001/interface/105/cidr](https://%3CNSM_IP%3E/sdkapi/domain/103/sensor/1002/interface/124/revokeinterface?value=8) ``` Payload { "cidrList": [               "8.8.8.1/32",               "8.8.8.12/32",               "8.8.8.13/32"            ] } ``` **Response** ``` { "status": 1 } ```   ## Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1106 | Invalid Sensor | | 2 | 404 | 1107 | Invalid Interface or Sub-interface id | | 3 | 400 | 1174 | Cannot add CIDR on dedicated/VLAN type interface | | 4 | 400 | 1701 | Invalid CIDR notation | | 5 | 400 | 1137 | Duplicate CIDR entry | | 6 | 400 | 1133 | Invalid CIDR provided | | 7 | 500 | 1001 | Internal error | | 8 | 400 | 1170 | No CIDR available for allocation |